Subject: bug#675: sysv support to stubby (attached the necessary files)

From: Andrew Bower <[email-masked]>
Date: Tue, 22 Jul 2025 20:05:22 +0100

Hi Alexis,

Thanks for reporting this!

On Mon, Apr 04, 2022 at 03:23:46PM +0000, Alexis PM wrote:
> I have reported this bug to Debian with normal severity and suggested
> backporting to the current stable

The fix is now in the 'experimental' suite so won't make it to the
excalibur release, unfortunately.

If this package were backported to trixie-backports and therefore
excalibur-backports, would you install it from there?

On Mon, Apr 04, 2022 at 06:05:14PM +0100, Mark Hindley wrote:
> On Mon, Apr 04, 2022 at 04:25:48PM +0000, Alexis PM wrote:
> >     Sorry, I had to increase the S and K values in update-rc.d in postinst
> >    (which I re-attached).
> 
> As a side note, if you have having to fiddle with S and K values, then the LSB
> header in the initscript is incomplete (probably missing one or more
> dependencies). I am not even sure that current/recent version of update-rc.d
> supports setting S and K values manually.

Thanks for providing a candidate initscript, Alexis! I created a new one
to modern Debian standards using init-d-script(5). As you can see from
https://sources.debian.org/src/getdns/1.7.3-1/debian/stubby.init/
there is very little needed for package maintainers to write nowadays.

Let us know how you get on with this if you get a chance!

Andrew